Subject: Re: [PATCH][NET_SCHED] sch_cbq: deactivating when grafting, purging etc.

From: Patrick McHardy <[email-masked]>
Date: Mon, 27 Nov 2006 11:39:58 +0100

Jarek Poplawski wrote:
> On Mon, Nov 27, 2006 at 10:55:39AM +0100, Patrick McHardy wrote:
> 
>>Your patch looks good, but it conflicts with my patches.
> 
> 
> I know, but I wasn't sure which version this changes
> are needed for. If there will be something more to do,
> name the version, please. 

Just add it on top of them. They apply cleanly to the current
-git tree.

>>One thing I forgot to mention is that it should also have
>>a callback for deactivating classes when their childs
>>become empty. If you do that you can just call
>>disc_tree_decrement_qlen in graft/delete, which will take
>>care of the qlen decrement and class deactivation.
> 
>  
> If I understand correctly I should apply this to 
> the version after your patch (plus the missing cbq part
> of "endless loops"). I'll try.

Thanks.